<?php
// var_dump($_POST);
include '../../config.php';
include ("./Nomina10001.php");

if(isset($_POST['op'])) $op = $_POST['op']; else $op = null;
if(isset($_POST['input_db'])) $input_db = $_POST['input_db']; else $input_db = null;
if(isset($_POST['input_ejercicio'])) $ejercicio = $_POST['input_ejercicio']; else $ejercicio = date("Y");
if(isset($_POST['data'])) $data = $_POST['data']; else $data = null;

// #region PETICIONES
if ($op == "Index") {
  $Nomina10001 = new Nomina10001($CONN_COMPAQ_CON);
  $Nomina10001->Index($ejercicio);
}
elseif ($op == "LoadInfo") {
  if ($input_db == null) $Nomina10001 = new Nomina10001($CONN_COMPAQ_CON);
  elseif ($input_db == "ctPRES_CON") $Nomina10001 = new Nomina10001($CONN_COMPAQ_CON);
  elseif ($input_db == "ctPRES_SIN") $Nomina10001 = new Nomina10001($CONN_COMPAQ_SIN);
  $Nomina10001->Index($ejercicio);
}
elseif ($op == "SyncInfo") {
  $Nomina10001 = new Nomina10001($CONN_INFO);
  $data = json_decode($data,true);
  $Nomina10001->SyncInfo($CONN_INFO,$data);
}
// #endregion PETICIONES

